Subject: [PATCH] gnu: node-esbuild: Replace esbuild-node with node-esbuild

From: "d" <[email-masked]>
Date: Thu, 1 May 2025 07:17:07 +0000

This change replaces the esbuild-node package built with (guix build-system go) with one built via (guix build-system node), making it more compatible with how other Node packages are built and imported.
It also uses the actual build scripts from the package itself instead of hacking around it within (guix build-system go).

I had difficulty adding node-esbuild in (gnu packages node-xyz) where I originally tried to add it.
Kept running into what I suspect is a cyclic dependency issue, where it would complain with 'error: esbuild: unbound variable' when I had the call to (package-source esbuild), but if I ommit that part, there's no issue with esbuild being an (input).

The reason I'm making this change is so that I have a node-esbuild Node package that I can use in another package I'm trying to add.